<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author:        juan.agudelo
@version        2.0
@cu             CU-CO-V-03
@descripcion    Pantalla que permite mostrar la información para revisar proyección.  
   
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Revisar Proyección::.</ui:define>
    <ui:define name="content">

        <ui:include src="detalleRevisarProyeccion.xhtml">
            <ui:param name="modificarDatosAprobacionParam" value="#{true}" />
            <ui:param name="mostrarTabMotivacionParam" value="#{true}" />
            <ui:param name="mostrarTabVerResolucionParam" value="#{true}" />
        </ui:include>

        <p:dialog header="Propietarios y/o poseedores" dynamic="true"
                  widgetVar="detallePropietariosWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="854">
            <p:ajax event="close"
                    listener="#{infoCancelacionInscripcion.cerrarVentanaDPropietarios}" />
            <ui:include src="detallePropietarios.xhtml" />
        </p:dialog>

        <p:dialog header="Justificación de propiedad" dynamic="true"
                  widgetVar="detalleJPropiedadWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="854">
            <p:ajax event="close"
                    listener="#{infoCancelacionInscripcion.cerrarVentanaDJPropiedad}" />
            <ui:include src="detalleJPropiedad.xhtml" />
        </p:dialog>

        <p:dialog header="Avalúo" widgetVar="detalleAvaluoWV" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="854">
            <p:ajax event="close"
                    listener="#{infoCancelacionInscripcion.cerrarVentanaDAvaluo}" />
            <ui:include src="detalleAvaluo.xhtml" />
        </p:dialog>

        <p:dialog header="Ubicación del predio" dynamic="true"
                  widgetVar="detalleUbicacionPredioWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="320">
            <p:ajax event="close"
                    listener="#{infoCancelacionInscripcion.cerrarVentanaDUbicacion}" />
            <ui:include src="detalleUbicacionPredio.xhtml" />
        </p:dialog>

        <p:dialog header="Información de construcción" dynamic="true" 
                  widgetVar="infoConstruccionWV2" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="650">
            <p:ajax event="close"
                    listener="#{infoCancelacionInscripcion.cerrarVentanaDInformacionConstruccion}" />
            <ui:include src="informacionConstruccion.xhtml">
                <ui:param name="predioUnidadSeleccionado"
                          value="#{infoCancelacionInscripcion.predioUnidadSeleccionado}" />
                <ui:param name="ppredioUnidadSeleccionado"
                          value="#{infoCancelacionInscripcion.ppredioUnidadSeleccionado}" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Detalle del trámite" id="detalleTramiteEjecutar" 
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960" >
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{digitalizacionDocumentos.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorDocumentosSinAccionesCC id="revisarProyeccionDocViewer"
                                                  documentUrl="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                                  thisWVName="revisarProyeccionDocViewerWV"
                                                  doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro que desea no aprobar?, no podra modificar la infomación posteriormente."
            confirmUpdateOnYes=":msgsRP, :verProyeccionForm" 
            confirmDialogWV="confirmarNoApWV"
            voidActionOnYes="#{revisionProyeccion.guardarObservacionesTemp}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{revisionProyeccion.reporteResolucion.urlWebReporte}"
            fileContent="#{revisionProyeccion.reporteResolucion.streamedContentReporte}"
            documentoGenerado="#{revisionProyeccion.reporteResolucion ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="true"/>

        <p:dialog header="Inconsistencias geográficas"
                  widgetVar="detalleInconsistenciasGeoWV" modal="true"
                  appendToBody="true" resizable="true" position="center" width="800">
            <ui:include src="../detalleInconsistenciasGeo.xhtml">
                <ui:param name="tramiteParam"
                          value="#{revisionProyeccion.tramiteSeleccionado}" />
            </ui:include>
        </p:dialog>

        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>
</ui:composition>

